Valorant API Unofficial docs
API Reference Authentication Endpoints
GET

Player Info

Get the PUUID and other info from a token

Server auth.riotgames.com Auth Bearer
GET https://auth.riotgames.com/userinfo
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

country string
sub string · uuid

Player UUID

email_verified boolean
player_plocale any nullable
country_at number nullable

Milliseconds since epoch

pw object
Show nested attributes Hide nested attributes 3
cng_at number

Milliseconds since epoch

reset boolean
must_reset boolean
phone_number_verified boolean
account_verified boolean
ppid any nullable
federated_identity_providers array[string]
player_locale string nullable
acct object
Show nested attributes Hide nested attributes 6
type number
state string
adm boolean
game_name string
tag_line string
created_at number

Milliseconds since epoch

age number
jti string
affinity record<string, string>